[smart_proxy_container_gateway] introduce sqlite timeout tuning

09/22/2023 09:05 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: Foreman Proxy Content   

Target version: Katello 4.11.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/smart_proxy_c

ontainer_gateway/pull/25

  

Description

If you're seeing something like `Error processing request '281d3c35-0710-44ec-a7ff-853159aca127: <Sequel::DatabaseError>:

SQLite3::BusyException: database is locked` in the logs, increasing the sqlite busy timeout should help.

https://sequel.jeremyevans.net/rdoc/files/doc/opening_databases_rdoc.html#label-sqlite

Associated revisions

Revision adc61957 - 09/26/2023 02:40 PM - Ian Ballou 

Fixes #36771 - introduce sqlite timeout tuning (#25)

History

#1 - 09/22/2023 09:07 PM - Ian Ballou

Also bump the default from 5 seconds to 30 seconds.

#2 - 09/22/2023 09:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/smart_proxy_container_gateway/pull/25 added

#3 - 09/26/2023 03:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset smart_proxy_container_gateway|adc61957f42a8f7205b0630a9d0a976511551b47.

#4 - 09/27/2023 05:44 PM - Quinn James

- Triaged changed from No to Yes
